// MarkersView.h : interface of the CMarkersView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MARKERSVIEW_H__C6AC81BA_75D9_4009_8859_B7580FB392E4__INCLUDED_)
#define AFX_MARKERSVIEW_H__C6AC81BA_75D9_4009_8859_B7580FB392E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMarkersDoc;
class CCustomEditCtrl;

class CMarkersView : public CBCGPEditView
{
	friend class CBCGPEditFindDlg;

protected: // create from serialization only
	CMarkersView();
	DECLARE_DYNCREATE(CMarkersView)

// Attributes
public:
	CMarkersDoc*	GetDocument();
	BOOL			m_bLeft;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMarkersView)
	public:
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMarkersView();

	void OnMarkersTogglebookmark();
	void OnMarkersNextbookmark();
	void OnMarkersPreviousbookmark();
	void OnMarkersTogglebreakpoint();
	void OnMarkersRemoveAllBreakpoints();
	void OnMarkersToggleStaticmarker();
	void OnEditFind();
	void OnEditFindnext();
	void OnEditFindprev();
	void OnMarkersNextdiff();
	void OnMarkersPrevdiff();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CFont				m_Font;
	CCustomEditCtrl*	m_pEdit;

	virtual CBCGPEditCtrl* CreateEdit ();

// Generated message map functions
protected:
	//{{AFX_MSG(CMarkersView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	afx_msg void OnUpdateCursorPos(CCmdUI *pCmdUI);
	DECLARE_MESSAGE_MAP()

private:
	void ResetDefaultFont();
	BOOL RestoreDefaultData();
};

#ifndef _DEBUG  // debug version in MarkersView.cpp
inline CMarkersDoc* CMarkersView::GetDocument()
   { return (CMarkersDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MARKERSVIEW_H__C6AC81BA_75D9_4009_8859_B7580FB392E4__INCLUDED_)
